# "Version Information"
# Copyright (C) 2001 by Next Generation
# Written by Chris Hansen.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# NEXT GENERATION on the Web: www.ngweb.biz
# CONTACT: info@ngweb.biz

BEGIN {
  i = 0
  split (ARGV[2], version, ".")

  while ($2 != "RES_PROGRAM_VERSION")
    {
      getline < ARGV[1]
      verinfo[i] = $0
      i++
    }
  verinfo[i - 1] = sprintf ("%s %s\t%d", $1, $2, version[1])

  while ($2 != "RES_PROGRAM_MAJOR")
    {
      getline < ARGV[1]
      verinfo[i] = $0
      i++
    }
  verinfo[i - 1] = sprintf ("%s %s\t%d", $1, $2, version[2])

  while ($2 != "RES_PROGRAM_MINOR")
    {
      getline < ARGV[1]
      verinfo[i] = $0
      i++
    }
  verinfo[i - 1] = sprintf ("%s %s\t%d", $1, $2, version[3])

  while ($2 != "RES_PROGRAM_REVISION")
    {
      getline < ARGV[1]
      verinfo[i] = $0
      i++
    }
  build = $3
  build++
  verinfo[i - 1] = sprintf ("%s %s\t%d", $1, $2, build)

  while ($2 != "RES_PROGRAM_RELEASE")
    {
      getline < ARGV[1]
      verinfo[i] = $0
      i++
    }
  verinfo[i - 1] = sprintf ("%s %s\t\"%s.%d\"", $1, $2, ARGV[2], build)

  while ((getline < ARGV[1]) > 0)
    {
      verinfo[i] = $0
      i++
    }

  # Write the new version file
  print verinfo[0] > ARGV[1]
  f = 1
  while (f < i)
    {
      print verinfo[f] >> ARGV[1]
      f++
    }
}
